function prompt
{
     $oldposition = $host.ui.rawui.CursorPosition
     $Endline = $oldposition
     $Endline.X+=60
     $host.ui.rawui.CursorPosition = $Endline
     Write-Host $(get-date).Tostring("yyyy-MM-dd HH:mm:ss")
     $host.ui.rawui.CursorPosition = $oldposition
     Write-Host ("PS " + $(get-location) +">") -nonewline -foregroundcolor Magenta
     return " "
}
